Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.parse.host
Class GrammarSectionHost

    java.lang.Object
      org.kohsuke.rngom.parse.host.Base
          org.kohsuke.rngom.parse.host.GrammarSectionHost

All Implemented Interfaces:
  GrammarSection

Direct Known Subclasses:
  DivHost, IncludeHost, ScopeHost

    public class GrammarSectionHost

extends Base
implements GrammarSection

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

Nested Class Summary

Nested classes/interfaces inherited from interface org.kohsuke.rngom.ast.builder.GrammarSection
`GrammarSection.Combine`

Field Summary

Fields inherited from interface org.kohsuke.rngom.ast.builder.GrammarSection
`COMBINE_CHOICE, COMBINE_INTERLEAVE, START`

Method Summary
`void` | `define(java.lang.String name, GrammarSection.Combine combine, ParsedPattern _pattern, Location _loc, Annotations _anno)` Called when a pattern is defined.
`Div` | `makeDiv()` Called when <div> is found.
`Include` | `makeInclude()` Returns null if already in an include.
`void` | `topLevelAnnotation(ParsedElementAnnotation _ea)` Called when an annotation is found.
`void` | `topLevelComment(CommentList _comments)` Called when a comment is found.

Methods inherited from class org.kohsuke.rngom.parse.host.Base
`cast, cast`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### define

    public void define(java.lang.String name,
                       GrammarSection.Combine combine,
                       ParsedPattern _pattern,
                       Location _loc,
                       Annotations _anno)
                throws BuildException

  Description copied from interface: `GrammarSection`
  Called when a pattern is defined.

  Specified by:
    `define` in interface `GrammarSection`
  Parameters:
    `name` - Name of the pattern. For the definition by a <start/> element, this parameter is the same as `GrammarSection.START`. to test if it's a named pattern definition or the start pattern definition.
    `combine` - null or `GrammarSection.COMBINE_CHOICE` or `GrammarSection.COMBINE_INTERLEAVE` depending on the value of the combine attribute.
    `_pattern` - The pattern to be defined.
  Throws:
    `BuildException`

### makeDiv

    public Div makeDiv()

  Description copied from interface: `GrammarSection`
  Called when <div> is found.

  Specified by:
    `makeDiv` in interface `GrammarSection`
  Returns:
    the returned `Div` object will receive callbacks for structures inside the <div> element.

### makeInclude

    public Include makeInclude()

  Description copied from interface: `GrammarSection`
  Returns null if already in an include.

  Specified by:
    `makeInclude` in interface `GrammarSection`

### topLevelAnnotation

    public void topLevelAnnotation(ParsedElementAnnotation _ea)
                            throws BuildException

  Description copied from interface: `GrammarSection`
  Called when an annotation is found.

  Specified by:
    `topLevelAnnotation` in interface `GrammarSection`
  Throws:
    `BuildException`

### topLevelComment

    public void topLevelComment(CommentList _comments)
                         throws BuildException

  Description copied from interface: `GrammarSection`
  Called when a comment is found.

  Specified by:
    `topLevelComment` in interface `GrammarSection`
  Throws:
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD